#
# spec file for package rygel
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rygel
Version:        0.16.2
Release:        0
Summary:        Home Media Solution for GNOME based on UPnP/DLNA
License:        LGPL-2.0+
Group:          Productivity/Multimedia/Other
Url:            http://live.gnome.org/Rygel
Source0:        http://download.gnome.org/sources/rygel/0.16/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:  libgee-devel >= 0.5.2
BuildRequires:  libgupnp-av-devel >= 0.9.0
BuildRequires:  libgupnp-devel >= 0.17.1
BuildRequires:  libsoup-devel
BuildRequires:  libunistring-devel
BuildRequires:  libuuid-devel
BuildRequires:  sqlite3-devel >= 3.5
BuildRequires:  systemd
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.16.1
BuildRequires:  pkgconfig(glib-2.0) >= 2.31.13
BuildRequires:  pkgconfig(gstreamer-0.10) >= 0.10.36
BuildRequires:  pkgconfig(gstreamer-pbutils-0.10) >= 0.10.35
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gupnp-dlna-1.0) >= 0.5.0
BuildRequires:  pkgconfig(tracker-sparql-0.14) >= 0.14.0
Requires:       gstreamer-0_10-plugins-base
Recommends:     %{name}-lang
Recommends:     gstreamer-0_10-plugins-bad
Recommends:     gstreamer-0_10-plugins-good
Recommends:     gstreamer-0_10-plugins-ugly
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?systemd_requires}

%description
Rygel is a home media solution that allows you to easily share audio,
video and pictures, and control of media player on your home network. In
technical terms it is both a UPnP AV MediaServer and MediaRenderer
implemented through a plug-in mechanism. Interoperability with other
devices in the market is achieved by conformance to very strict
requirements of DLNA and on the fly conversion of media to format that
client devices are capable of handling.

%package -n librygel-core-1_0-0
Summary:        Home Media Solution for GNOME based on UPnP/DLNA -- Core library
Group:          System/Libraries

%description -n librygel-core-1_0-0
Rygel is a home media solution that allows you to easily share audio,
video and pictures, and control of media player on your home network.

This package provides the core library of rygel.

%package -n librygel-renderer-1_0-0
Summary:        Home Media Solution for GNOME based on UPnP/DLNA -- Renderer library
Group:          System/Libraries

%description -n librygel-renderer-1_0-0
Rygel is a home media solution that allows you to easily share audio,
video and pictures, and control of media player on your home network.

This package provides the renderer library of rygel.

%package -n librygel-server-1_0-0
Summary:        Home Media Solution for GNOME based on UPnP/DLNA -- Server library
Group:          System/Libraries

%description -n librygel-server-1_0-0
Rygel is a home media solution that allows you to easily share audio,
video and pictures, and control of media player on your home network.

This package provides the server library of rygel.

%package devel
Summary:        Home Media Solution for GNOME based on UPnP/DLNA -- Development Files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       librygel-core-1_0-0 = %{version}
Requires:       librygel-renderer-1_0-0 = %{version}
Requires:       librygel-server-1_0-0 = %{version}

%description devel
Rygel is a home media solution that allows you to easily share audio,
video and pictures, and control of media player on your home network.

This package provides development files for rygel.

%package plugin-gstreamer-renderer
Summary:        Home Media Solution for GNOME based on UPnP/DLNA -- GStreamer Renderer Plugin
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}

%description plugin-gstreamer-renderer
Rygel is a home media solution that allows you to easily share audio,
video and pictures, and control of media player on your home network.

This package provides a standalone MediaRenderer plugin, based on the
GStreamer playbin2 element.

%package plugin-tracker
Summary:        Home Media Solution for GNOME based on UPnP/DLNA -- Tracker Plugin
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}
Requires:       tracker
Supplements:    packageand(%{name}:tracker)

%description plugin-tracker
Rygel is a home media solution that allows you to easily share audio,
video and pictures, and control of media player on your home network.

This package provides a plugin using tracker to export media found on
the local machine.

%package plugin-zdf-mediathek
Summary:        Home Media Solution for GNOME based on UPnP/DLNA -- ZDF Mediathek Plugin
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}
# Make it installable by default for german-speaking users
Provides:       locale(%{name}:de)

%description plugin-zdf-mediathek
Rygel is a home media solution that allows you to easily share audio,
video and pictures, and control of media player on your home network.

This package provides a plugin to export online media from the ZDF TV
station.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure --enable-tracker-plugin \
    --enable-media-export-plugin \
    --enable-external-plugin \
    --enable-mediathek-plugin \
    --enable-gst-launch-plugin
make %{?_smp_mflags} V=1

%install
%make_install
# test so we know if we can drop the manul installation of the .service file
test ! -f %{buildroot}%{_unitdir}/rygel.service
install -D -m0644 examples/service/systemd/rygel.service %{buildroot}%{_unitdir}/rygel.service
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file rygel
%suse_update_desktop_file rygel-preferences X-SuSE-ControlCenter-System
%find_lang %{name} %{?no_lang_C}

%clean
rm -rf %{buildroot}

%pre
%service_add_pre rygel.service

%post
%desktop_database_post
%icon_theme_cache_post
%service_add_post rygel.service

%preun
%service_del_preun rygel.service

%postun
%desktop_database_postun
%icon_theme_cache_postun
%service_del_postun rygel.service

%post -n librygel-core-1_0-0 -p /sbin/ldconfig

%postun -n librygel-core-1_0-0 -p /sbin/ldconfig

%post -n librygel-renderer-1_0-0 -p /sbin/ldconfig

%postun -n librygel-renderer-1_0-0 -p /sbin/ldconfig

%post -n librygel-server-1_0-0 -p /sbin/ldconfig

%postun -n librygel-server-1_0-0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/rygel.conf
%{_unitdir}/rygel.service
%{_bindir}/rygel
%{_bindir}/rygel-preferences
%{_datadir}/rygel/
%{_datadir}/applications/rygel.desktop
%{_datadir}/applications/rygel-preferences.desktop
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/*/*
# Plugins that we ship by default because they don't have a dependency and can
# be useful to most people
%dir %{_libdir}/rygel-1.0/
# external applications implementing D-Bus MediaServer spec
%{_libdir}/rygel-1.0/librygel-external.so
# GStreamer pipelines in the config
%{_libdir}/rygel-1.0/librygel-gst-launch.so
# folders and files in the config
%{_libdir}/rygel-1.0/librygel-media-export.so
# media players implementing MPRIS2 D-Bus interface
%{_libdir}/rygel-1.0/librygel-mpris.so

%files -n librygel-core-1_0-0
%defattr(-,root,root)
%{_libdir}/librygel-core-1.0.so.*

%files -n librygel-renderer-1_0-0
%defattr(-,root,root)
%{_libdir}/librygel-renderer-1.0.so.*

%files -n librygel-server-1_0-0
%defattr(-,root,root)
%{_libdir}/librygel-server-1.0.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/rygel-1.0/
%{_libdir}/librygel-core-1.0.so
%{_libdir}/librygel-renderer-1.0.so
%{_libdir}/librygel-server-1.0.so
%{_libdir}/pkgconfig/rygel-core-1.0.pc
%{_libdir}/pkgconfig/rygel-renderer-1.0.pc
%{_libdir}/pkgconfig/rygel-server-1.0.pc
%{_datadir}/vala/vapi/rygel-core-1.0.deps
%{_datadir}/vala/vapi/rygel-core-1.0.vapi
%{_datadir}/vala/vapi/rygel-renderer-1.0.deps
%{_datadir}/vala/vapi/rygel-renderer-1.0.vapi
%{_datadir}/vala/vapi/rygel-server-1.0.deps
%{_datadir}/vala/vapi/rygel-server-1.0.vapi

%files plugin-gstreamer-renderer
%defattr(-, root, root)
%{_libdir}/rygel-1.0/librygel-playbin.so

%files plugin-tracker
%defattr(-, root, root)
%{_libdir}/rygel-1.0/librygel-tracker.so

%files plugin-zdf-mediathek
%defattr(-, root, root)
%{_libdir}/rygel-1.0/librygel-mediathek.so

%files lang -f %{name}.lang

%changelog
